/*  Power Station Industrializer
 *  Copyright (c) 2000 David A. Bartold
 *  Copyright (c) 2020 Yury G. Aliaev
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _PSI_UTILS_H
#define _PSI_UTILS_H

#include "main.h"

extern gdouble sample_length;

gsize do_render(PSPhysMod *model, gint rrate);
gboolean trigger_play(PSPhysMod *model, gint prate);
gint save_wav(PSPhysMod *model, const gchar *fname, gchar **errmsg, const gint erate);
gint save_pres(PSPhysMod *model, const gchar *fname, gchar **errmsg);
gint load_pres(PSPhysMod *model, const gchar *fname, gchar **errmsg);

#endif
